Page MenuHome

Glitches on Eevee with Intel HD620
Closed, ResolvedPublic

Description

this is the system info generated by blender 2.81nafter loading factory settings


this is the rendered cube

Broken: 2.81 from oct 16 and before
Worked: 2.8

The Eevee rendering shows a lot of missing pixels, some greyed out , some transparent. Workbench and Cycles don´t have the problem.

With brand new installed 2.81, first opening, selecting general, F12 to render: missing or grey displayed parts of the cube. Also happens with more complex models and also in 2.82 while it worked well in 2.8 .

Event Timeline

paul (noiling) updated the task description. (Show Details)
Demeter Dzadik (Mets) lowered the priority of this task from 90 to 30.Oct 16 2019, 12:45 PM

Please provide some more basic info by going to Help->Report a Bug in Blender's interface, then paste the detected OS, GPU and Blender version details into your report.

Also a screenshot or full render showing the problem could be helpful (on the default cube in the default scene would be perfect, perhaps even do File->Defaults->Load Factory Settings first).

This comment was removed by paul (noiling).

I´m a little bit unsure if i had to put the requested information into the original task, as done, or as a coment, so I repeat it here:

Demeter Dzadik (Mets) raised the priority of this task from 30 to 90.Oct 17 2019, 10:47 AM
Germano Cavalcante (mano-wii) lowered the priority of this task from 90 to 30.Oct 17 2019, 2:23 PM

There are already newer graphics drivers for your Intel:
https://downloadcenter.intel.com/product/126789/Intel-UHD-Graphics-620

If you can, install the latest version and tell us if the issue is fixed.

Germano Cavalcante (mano-wii) renamed this task from eevee doesn´t work on blender 2.81 to Glitches on Eevee with Intel HD620.Oct 17 2019, 3:27 PM
Germano Cavalcante (mano-wii) updated the task description. (Show Details)

On my end it still doesn't work. But thank you for pointing out about the drivers.

Hey Paul Try using a blend file from 2.80,We have the same problem except mine has those glitch alias effects, it was merged.

This happens when I load up a blend file made in 2.80 in 2.81

Note: there is some minor "scanline" effects on a face perpendicular of the sun lighting on the cube in the viewport. if I port the 2.8 startup file to 2.81 (The glitch alias effects still gone).

Edit: Welp just for curiosity sake, mine is almost the exact same when rendered the default cube while not using a ported 2.80 startup file. so it is the same problem as paul whoever merged this was correct in their assumption
But the default cube ported from 2.80

Yes, I came across this 2.80 to 2.81 thing by loading up an earlier blend file before even using the rendered view.

I have installed the new graphics driver and the problem has gone, in 2.81 at least. I will check 2.82.

This comment was removed by Brad Hawkins (ConsUme).

I'm going to update you guys my latest debug logs Including both standard start-up cube and a startup cubed saved in 2.80 and loaded up in 2.8,1 no updating drivers did not fix this.

2.81 standard.

2.80 loaded into 2.81

@Brad Hawkins (ConsUme), some settings in the viewport may be disabled when importing a scene from an earlier version. But it's hard to tell which setting is causing the issue.
The version of your installed graphics driver is 23.20.16.4973, but there is already the 26.20.100.7323.

@paul (noiling) reported that by updating the driver the problem is fixed.
Could you update the graphics driver too?

Did you check my recent system information/Debug info, I did already update my drivers.

Edit: wait... What? It's still saying i'm still have the old drivers?

Edit 2: Soo, um real quick can you point me to the drivers for Dell OEM Intel hd620, I apperently cannot use Intels own updators, and had to use Dells one and, it apparntly didn't update.

Update: well I'm shit outta luck, unless there is a way to force upgrade. Intel software won't allow me to update, and they say I need to use ones on Dells website, but they only had the old 23.20.16.4973 driver.

Well, fuck...

Update 2: Looks like I have a way.

Might report back tommorow however.

You can close thread, now more mad at Dell than anything.

Germano Cavalcante (mano-wii) changed the task status from Unknown Status to Resolved.Oct 24 2019, 1:39 PM

Ok I'll close this one.
Feel free to create another report or reopen this if you cannot resolve it even updating the driver.